{% extends 'base.html.twig' %}

{% block title %}Profil{% endblock %}

{% block body %}
<div class="container">
    <div class="row">
        {% include 'block/profile.block.html.twig' %}
        <div class="col-9">
            <div class="container">
                {% if user.candidate is defined and user.candidate is not null %}
                <div class="row">
                    <div class="col">
                        <h1>Profil</h1>
                        <span class="d-block">Prénom : {{ user.candidate.firstName }}</span>
                        <span class="d-block">Nom : {{ user.candidate.lastName }}</span>
                        <p class="lead">Description : {{ user.candidate.description }}</p>
                        <span class="d-block">Âge :</span>
                        <span class="d-block">Adresse : {{ user.candidate.address }} {{ user.company.postalCode }} {{ user.candidate.city }}</span>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <h3>Formation</h3>
                        <span class="d-block">École/Université : {{ user.candidate.school }}</span>
                        <span class="d-block">Diplôme en cours : {{ user.candidate.diploma }}</span>               
                        <span class="d-block">Année d'obtention : {{ user.candidate.yearGraduation }}</span>               
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <h3>Compte</h3>
                        <span class="d-block">Adresse mail : {{ user.email }}</span>
                        <span class="d-block">Téléphone : {{ user.candidate.phone }}</span>
                    </div>
                </div>
                
                {% elseif user.company is defined and user.company is not null %}
                <div class="row">
                    <div class="col">
                        <h1>Profil</h1>
                        <span class="d-block">Nom : {{ user.company.companyName }}</span>
                        <span class="d-block">Adresse : {{ user.company.address }} {{ user.company.postalCode }} {{ user.company.city }}</span>
                        <p class="lead">Description : {{ user.company.generalDescription | raw }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <h3>Caractéristiques</h3>
                        <span class="d-block">Type : {{ user.company.companyType }}</span>
                        <span class="d-block">Nombre d'employés : {{ user.company.nbEmployees }}</span>               
                        <span class="d-block">Année de création : {{ user.company.yearCreation }}</span>               
                        <span class="d-block">Présence à l'international : {{ user.company.interPresence }}</span>               
                        <p class="lead">Valeurs / Culture : {{ user.company.valuesDescription | raw }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <h3>Compte</h3>
                        <span class="d-block">Adresse mail : {{ user.email }}</span>
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>

{% endblock %}